-- Create database
CREATE DATABASE ExagoSchedulerQueue

-- for use with SchedulerQueue extensibility. 
CREATE TABLE SchedulerJobs
	(
	jobId uniqueidentifier NOT NULL,
	nextExecuteDate datetime2(0) NULL,
	status int NULL,
	serviceName nvarchar(50) NULL,
	currentExecuteStart datetime2(0) NULL,
	createdByCompanyId nvarchar(128) NULL,
	createdByUserId nvarchar(128) NULL,
	lastModifiedByCompanyId nvarchar(128) NULL,
	lastModifiedByUserId nvarchar(128) NULL,
	isDeleted Bit NULL,
	scheduleName nvarchar(250) NULL,
	reportName nvarchar(500) NULL,
	reportId uniqueidentifier NULL,
	reportXml nvarchar(max) NULL,
	jobXml nvarchar(max) NULL,
	jobListXml nvarchar(max) NULL
	PRIMARY KEY(JobId)
	);